package com.ruoyi.system.service.impl;

import java.util.List;
import java.util.stream.Collectors;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.system.domain.vo.FilleVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysRotographMapper;
import com.ruoyi.system.domain.SysRotograph;
import com.ruoyi.system.service.ISysRotographService;

/**
 * 轮播图附件Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-02-24
 */
@Service
public class SysRotographServiceImpl implements ISysRotographService 
{
    @Autowired
    private SysRotographMapper sysRotographMapper;

    /**
     * 查询轮播图附件
     * 
     * @param id 轮播图附件主键
     * @return 轮播图附件
     */
    @Override
    public SysRotograph selectSysRotographById(Long id)
    {
        return sysRotographMapper.selectSysRotographById(id);
    }

    /**
     * 查询轮播图附件列表
     * 
     * @param sysRotograph 轮播图附件
     * @return 轮播图附件
     */
    @Override
    public List<SysRotograph> selectSysRotographList(SysRotograph sysRotograph)
    {
        return sysRotographMapper.selectSysRotographList(sysRotograph);
    }

    /**
     * 新增轮播图附件
     * 
     * @param sysRotograph 轮播图附件
     * @return 结果
     */
    @Override
    public int insertSysRotograph( SysRotograph sysRotograph)
    {
        return sysRotographMapper.insertSysRotograph(sysRotograph);
    }

    /**
     * 修改轮播图附件
     * 
     * @param sysRotograph 轮播图附件
     * @return 结果
     */
    @Override
    public int updateSysRotograph(SysRotograph sysRotograph)
    {
        return sysRotographMapper.updateSysRotograph(sysRotograph);
    }

    /**
     * 批量删除轮播图附件
     * 
     * @param ids 需要删除的轮播图附件主键
     * @return 结果
     */
    @Override
    public int deleteSysRotographByIds(Long[] ids)
    {
        return sysRotographMapper.deleteSysRotographByIds(ids);
    }

    /**
     * 删除轮播图附件信息
     * 
     * @param id 轮播图附件主键
     * @return 结果
     */
    @Override
    public int deleteSysRotographById(Long id)
    {
        return sysRotographMapper.deleteSysRotographById(id);
    }
}
